package service

import (
	"context"
	"log/slog"
)

import (
	"protocol-server/common"
	pb "protocol-server/rpc_idl/dr_protocol_pb"
)

type BasicServer struct {
	pb.UnimplementedBasicServer
}

func (s *BasicServer) SoftwareInfo(_ context.Context, in *pb.EmptyRequest) (*pb.SoftwareInfoReply, error) {
	slog.Info("Received SoftwareInfo")
	return &pb.SoftwareInfoReply{
		Module:  common.Module,
		Desc:    common.Desc,
		Build:   common.Build,
		Version: common.Version,
	}, nil
}
