DR Protocol Server

#### env
- golang 1.24
- postgres14

#### run
```shell
go run main.go run
```

#### deploy
```shell
# vim /etc/systemd/system/protocol-server.service
[Unit]
Description=dr protocol service
After=network.target
 
[Service]
Type=simple
WorkingDirectory=xxx/DRProtocolServer
ExecStart=xxx/DRProtocolServer/protocol-server run
 
[Install]
WantedBy=multi-user.target

# 重新加载systemd配置
sudo systemctl daemon-load

# 启动服务
sudo systemctl restart protocol-server.service
```